## org.jfree.chart.renderer
Class OutlierList

    java.lang.Object
      org.jfree.chart.renderer.OutlierList

public class OutlierList
extends java.lang.Object

A collection of outliers for a single entity in a box and whisker plot. Outliers are grouped in lists for each entity. Lists contain one or more outliers, determined by whether overlaps have occured. Overlapping outliers are grouped in the same list. Each list contains an averaged outlier, which is the same as a single outlier if there is only one outlier in the list, but the average of all the outliers in the list if there is more than one. NB This is simply my scheme for displaying outliers, and might not be acceptable by the wider community.

Author:
  David Browning

Constructor Summary
`OutlierList(Outlier outlier)` Creates a new list containing a single outlier.

Method Summary
`boolean` `add(Outlier outlier)` Adds an outlier to the list.
`Outlier` `getAveragedOutlier()` Returns the averaged outlier.
`int` `getItemCount()` Returns the number of outliers in the list.
`boolean` `isMultiple()` Returns `true` if the list contains multiple outliers, and `false` otherwise.
`boolean` `isOverlapped(Outlier other)` Returns `true` if the outlier overlaps, and `false` otherwise.
`void` `setAveragedOutlier(Outlier averagedOutlier)` Sets the averaged outlier.
`void` `setMultiple(boolean multiple)` Sets the flag that indicates whether or not this list represents multiple outliers.
`void` `updateAveragedOutlier()` Updates the averaged outlier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutlierList

    public OutlierList(Outlier outlier)

  Creates a new list containing a single outlier.

Parameters:
  `outlier` - the outlier.

Method Detail

### add

    public boolean add(Outlier outlier)

  Adds an outlier to the list.

  Parameters:
    `outlier` - the outlier.
  Returns:
    A boolean.

### getItemCount

    public int getItemCount()

  Returns the number of outliers in the list.

  Returns:
    The item count.

### getAveragedOutlier

    public Outlier getAveragedOutlier()

  Returns the averaged outlier.

  Returns:
    The averaged outlier.

### setAveragedOutlier

    public void setAveragedOutlier(Outlier averagedOutlier)

  Sets the averaged outlier.

  Parameters:
    `averagedOutlier` - the averaged outlier.

### isMultiple

    public boolean isMultiple()

  Returns `true` if the list contains multiple outliers, and `false` otherwise.

  Returns:
    A boolean.

### setMultiple

    public void setMultiple(boolean multiple)

  Sets the flag that indicates whether or not this list represents multiple outliers.

  Parameters:
    `multiple` - the flag.

### isOverlapped

    public boolean isOverlapped(Outlier other)

  Returns `true` if the outlier overlaps, and `false` otherwise.

  Parameters:
    `other` - the outlier.
  Returns:
    A boolean.

### updateAveragedOutlier

    public void updateAveragedOutlier()

  Updates the averaged outlier.